libzypp: zypp::sat::SolvableSpec::Impl Class Reference

libzypp 17.38.9

zypp::sat::SolvableSpec::Impl Class Reference

SolvableSpec implementation. More...

## Public Member Functions
void | addIdent (IdString ident_r)
void | addProvides (Capability provides_r)
bool | addIdenticalInstalledToo () const
void | addIdenticalInstalledToo (bool yesno_r)
void | parse (const C_Str &spec_r)
bool | needed () const
bool | dirty () const
void | setDirty () const
const WhatProvides & | cache () const
bool | contains (const sat::Solvable &solv_r) const
const IdStringSet & | idents () const
const CapabilitySet & | provides () const

## Private Member Functions
Impl * | clone () const
| clone for RWCOW_pointer

## Private Attributes
IdStringSet | _idents
CapabilitySet | _provides
bool | _addIdenticalInstalledToo = false
SolvableSet | _cacheIdenticalInstalled
shared_ptr< WhatProvides > | _cache

## Friends
Impl * | rwcowClone (const Impl *rhs)

## Detailed Description

SolvableSpec implementation.

Definition at line 32 of file SolvableSpec.cc.

## Member Function Documentation

## ◆ addIdent()

void zypp::sat::SolvableSpec::Impl::addIdent | ( | IdString | ident_r | ) |
| inline

Definition at line 35 of file SolvableSpec.cc.

## ◆ addProvides()

void zypp::sat::SolvableSpec::Impl::addProvides | ( | Capability | provides_r | ) |
| inline

Definition at line 41 of file SolvableSpec.cc.

## ◆ addIdenticalInstalledToo() [1/2]

bool zypp::sat::SolvableSpec::Impl::addIdenticalInstalledToo | ( |  | ) | const
| inline

Definition at line 47 of file SolvableSpec.cc.

## ◆ addIdenticalInstalledToo() [2/2]

void zypp::sat::SolvableSpec::Impl::addIdenticalInstalledToo | ( | bool | yesno_r | ) |
| inline

Definition at line 50 of file SolvableSpec.cc.

## ◆ parse()

void zypp::sat::SolvableSpec::Impl::parse | ( | const C_Str & | spec_r | ) |
| inline

Definition at line 59 of file SolvableSpec.cc.

## ◆ needed()

bool zypp::sat::SolvableSpec::Impl::needed | ( |  | ) | const
| inline

Definition at line 68 of file SolvableSpec.cc.

## ◆ dirty()

bool zypp::sat::SolvableSpec::Impl::dirty | ( |  | ) | const
| inline

Definition at line 71 of file SolvableSpec.cc.

## ◆ setDirty()

void zypp::sat::SolvableSpec::Impl::setDirty | ( |  | ) | const
| inline

Definition at line 74 of file SolvableSpec.cc.

## ◆ cache()

const WhatProvides & zypp::sat::SolvableSpec::Impl::cache | ( |  | ) | const
| inline

Definition at line 77 of file SolvableSpec.cc.

## ◆ contains()

bool zypp::sat::SolvableSpec::Impl::contains | ( | const sat::Solvable & | solv_r | ) | const
| inline

Definition at line 95 of file SolvableSpec.cc.

## ◆ idents()

const IdStringSet & zypp::sat::SolvableSpec::Impl::idents | ( |  | ) | const
| inline

Definition at line 109 of file SolvableSpec.cc.

## ◆ provides()

const CapabilitySet & zypp::sat::SolvableSpec::Impl::provides | ( |  | ) | const
| inline

Definition at line 112 of file SolvableSpec.cc.

## ◆ clone()

Impl * zypp::sat::SolvableSpec::Impl::clone | ( |  | ) | const
| inlineprivate

clone for RWCOW_pointer

Definition at line 125 of file SolvableSpec.cc.

## Friends And Related Symbol Documentation

## ◆ rwcowClone

Impl * rwcowClone | ( | const Impl * | rhs | ) |
| friend

## Member Data Documentation

## ◆ _idents

IdStringSet zypp::sat::SolvableSpec::Impl::_idents
| private

Definition at line 116 of file SolvableSpec.cc.

## ◆ _provides

CapabilitySet zypp::sat::SolvableSpec::Impl::_provides
| private

Definition at line 117 of file SolvableSpec.cc.

## ◆ _addIdenticalInstalledToo

bool zypp::sat::SolvableSpec::Impl::_addIdenticalInstalledToo = false
| private

Definition at line 118 of file SolvableSpec.cc.

## ◆ _cacheIdenticalInstalled

SolvableSet zypp::sat::SolvableSpec::Impl::_cacheIdenticalInstalled
| mutableprivate

Definition at line 119 of file SolvableSpec.cc.

## ◆ _cache

shared_ptr<WhatProvides> zypp::sat::SolvableSpec::Impl::_cache
| mutableprivate

Definition at line 120 of file SolvableSpec.cc.

The documentation for this class was generated from the following file:

- zypp/sat/SolvableSpec.cc